// All database related API calls

import { useAuthorizationCache, useSessionCache } from "../store";

export const useSchemaAPI = (domain: string) => {
    const cache = useSessionCache();
    const { accessToken } = useAuthorizationCache();


    async function RequestSchema(databaseName?: string) {
        if (!databaseName) databaseName = cache.currentDatabase;
        if (!databaseName) {
            throw Error('Must call with a database name');
        }

        const request = {
            databaseName,
            cached: true,
        };

        const response = await fetch(`https://${domain}/schema/`, {
            method: 'POST',
            credentials: 'same-origin',
            headers: new Headers({
                Authorization:
                    'Bearer ' + accessToken,
            }),
            body: JSON.stringify(request)
        });

        if (!response?.ok) {
            const ret = await response.text();
            console.error(response, ret);
        }
        // const ret = await response.json();
        console.log(response);

    }

    return { RequestSchema };
};
