import { Attributes as GAttributes } from 'graphology-types';
import {
  AttributeData,
  AttributeNode,
  EntityData,
  EntityNode,
  FunctionNode,
  ModifierNode,
  RelationData,
  RelationNode,
} from '../reactflow/model';
import { XYPosition } from 'reactflow';
import {
  setQuerybuilderNodes,
  store,
} from '@graphpolaris/shared/lib/data-access';
import { MultiGraph } from 'graphology';
import { calcWidthHeightOfPill } from '@graphpolaris/shared/lib/querybuilder/graph/graphology/utils';
import './utils';

// export interface Attributes extends EntityNode | RelationNode | AttributeNode | FunctionNode | ModifierNode  {
// }

export type NodeAttributes = XYPosition &
  AttributeData & {
    type: string;
    width?: number;
    height?: number;
  };

export type EntityNodeAttributes = XYPosition &
  EntityData & {
    type: string;
    width?: number;
    height?: number;
  };

export type RelationNodeAttributes = XYPosition &
  RelationData & {
    type: string;
    width?: number;
    height?: number;
  };

export type QueryGraph = MultiGraph<
  NodeAttributes | EntityNodeAttributes | RelationNodeAttributes,
  GAttributes,
  GAttributes
>;
