/**
 * This program has been developed by students from the bachelor Computer Science at
 * Utrecht University within the Software Project course.
 * © Copyright Utrecht University (Department of Information and Computing Sciences)
 */

/* istanbul ignore file */
/* The comment above was added so the code coverage wouldn't count this file towards code coverage.
 * We do not test components/renderfunctions/styling files.
 * See testing plan for more details.*/
import React from 'react';
import { Handle, NodeProps, Position } from 'reactflow';
import Select from './select-modifier';
import styles from './modifierpill.module.scss';
import { ModifierData, ModifierNode } from '../../../graph-reactflow/model';

/**
 * Component to render an entity flow element
 * @param param0 Data of the flow element.
 */
export default function ModifierFlowElement({ data }: ModifierNode) {
  return (
    <div className={styles.modifier}>
      <div className={styles.modifierWrapper}>
        <span className={styles.modifierInput}>
          <span className={styles.modifierSpan}>
            <Select data={data} />
          </span>
        </span>
      </div>
    </div>
  );
}
